local AddonName, DARTProperties = ...

--	{ file="", width=, height=, x1=0, x2=1, y1=0, y2=1 },

DART_DEFAULT_TEXTURES = {
	{ file="Interface\\AddOns\\DiscordArt\\CustomTextures\\Rare", height=128, width=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\AddOns\\DiscordArt\\CustomTextures\\RareLeft", height=128, width=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\AddOns\\DiscordLibrary\\Elite", height=128, width=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\AddOns\\DiscordLibrary\\EliteLeft", height=128, width=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\AddOns\\DiscordLibrary\\PlainBackdrop", height=30, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\AuctionFrame\\UI-AuctionFrame-FilterBg", width=7, height=20, x1=0, x2=.53125, y1=0, y2=.625 },
	{ file="Interface\\AuctionFrame\\UI-AuctionFrame-FilterLines", width=7, height=20, x1=0, x2=.4375, y1=0, y2=.625 },
	{ file="Interface\\AuctionFrame\\UI-AuctionItemNameFrame", width=10, height=32, x1=.078125, x2=.75, y1=0, y2=1 },
	{ file="Interface\\AuctionFrame\\UI-AuctionItemNameFrame", width=10, height=32, x1=.75, x2=.828125, y1=0, y2=1 },
	{ file="Interface\\AuctionFrame\\UI-AuctionItemNameFrame", width=10, height=32, x1=0, x2=.078125, y1=0, y2=1 },
	{ file="Interface\\BattlefieldFrame\\UI-Battlefield-Icon", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\Button-Backpack-Up", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\ButtonHilight-Round", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\ButtonHilight-Square", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\CheckButtonGlow", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\CheckButtonHilight", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-AutoCastableOverlay", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-CheckBox-Check", width=16, height=16, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-Common-MouseHilight", height=30, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-Debuff-Border", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-MinusButton-UP", width=16, height=16, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-PageButton-Background", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-Panel-Button-Disabled", height=30, width=100, x1=0, x2=.625, y1=0, y2=.6875 },
	{ file="Interface\\Buttons\\UI-Panel-Button-Disabled-Down", height=30, width=100, x1=0, x2=.625, y1=0, y2=.6875 },
	{ file="Interface\\Buttons\\UI-Panel-Button-Down", height=30, width=100, x1=0, x2=.625, y1=0, y2=.6875 },
	{ file="Interface\\Buttons\\UI-Panel-Button-Highlight", height=30, width=100, x1=0, x2=.625, y1=0, y2=.6875 },
	{ file="Interface\\Buttons\\UI-Panel-Button-Up", height=30, width=100, x1=0, x2=.625, y1=0, y2=.6875 },
	{ file="Interface\\Buttons\\UI-Panel-MinimizeButton-Down", height=32, width=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-Panel-MinimizeButton-Highlight", height=32, width=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-Panel-MinimizeButton-Up", height=32, width=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-PlusButton-Hilight", width=16, height=16, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-Quickslot-Depress", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-Quickslot2", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-QuickslotRed", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-RadioButton", width=32, height=32, x1=.25, x2=.5, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-RadioButton", width=32, height=32, x1=0, x2=.25, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-RotationLeft-Button-Down", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-RotationLeft-Button-Up", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-ScrollBar-Knob", height=32, width=32, x1=.25, x2=.75, y1=.25, y2=.75 },
	{ file="Interface\\Buttons\\UI-ScrollBar-ScrollDownButton-Disabled", height=32, width=32, x1=.25, x2=.75, y1=.25, y2=.75 },
	{ file="Interface\\Buttons\\UI-ScrollBar-ScrollDownButton-Down", height=32, width=32, x1=.25, x2=.75, y1=.25, y2=.75 },
	{ file="Interface\\Buttons\\UI-ScrollBar-ScrollDownButton-Highlight", height=32, width=32, x1=.25, x2=.75, y1=.25, y2=.75 },
	{ file="Interface\\Buttons\\UI-ScrollBar-ScrollDownButton-Up", height=32, width=32, x1=.25, x2=.75, y1=.25, y2=.75 },
	{ file="Interface\\Buttons\\UI-ScrollBar-ScrollUpButton-Disabled", height=32, width=32, x1=.25, x2=.75, y1=.25, y2=.75 },
	{ file="Interface\\Buttons\\UI-ScrollBar-ScrollUpButton-Down", height=32, width=32, x1=.25, x2=.75, y1=.25, y2=.75 },
	{ file="Interface\\Buttons\\UI-ScrollBar-ScrollUpButton-Highlight", height=32, width=32, x1=.25, x2=.75, y1=.25, y2=.75 },
	{ file="Interface\\Buttons\\UI-ScrollBar-ScrollUpButton-Up", height=32, width=32, x1=.25, x2=.75, y1=.25, y2=.75 },
	{ file="Interface\\Buttons\\UI-SliderBar-Button-Horizontal", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-SortArrow", width=9, height=8, x1=0, x2=.5625, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-SpellbookIcon-NextPage-Disabled", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-SpellbookIcon-NextPage-Down", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-SpellbookIcon-NextPage-Up", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-SpellbookIcon-PrevPage-Disabled", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-SpellbookIcon-PrevPage-Down", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Buttons\\UI-SpellbookIcon-PrevPage-Up", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\CastingBar\\UI-CastingBar-Border", width=256, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\CharacterFrame\\Disconnect-Icon", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\CharacterFrame\\UI-StateIcon", width=32, height=32, x1=.0625, x2=.4375, y1=.0625, y2=.4375 },
	{ file="Interface\\CharacterFrame\\UI-StateIcon", width=32, height=32, x1=.5625, x2=.9, y1=.08, y2=.4375 },
	{ file="Interface\\ChatFrame\\UI-ChatInputBorder-Left", height=32, width=75, x1=0, x2=.29296875, y1=0, y2=1 },
	{ file="Interface\\ChatFrame\\UI-ChatInputBorder-Right", height=32, width=75, x1=.70703125, x2=1, y1=0, y2=1 },
	{ file="Interface\\ClassTrainerFrame\\UI-ClassTrainer-BotLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\ClassTrainerFrame\\UI-ClassTrainer-BotRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\ClassTrainerFrame\\UI-ClassTrainer-ScrollBar", height=30, width=123, x1=.53125, x2=1, y1=.03125, y2=1 },
	{ file="Interface\\ClassTrainerFrame\\UI-ClassTrainer-TopLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\ClassTrainerFrame\\UI-ClassTrainer-TopRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\ComboFrame\\ComboPoint", width=32, height=32, x1=.5625, x2=1, y1=0, y2=1 },
	{ file="Interface\\Common\\Common-Input-Border", width=100, height=20, x1=.0625, x2=.9375, y1=0, y2=.625 },
	{ file="Interface\\Common\\Common-Input-Border", width=8, height=20, x1=.9375, x2=1, y1=0, y2=.625 },
	{ file="Interface\\Common\\Common-Input-Border", width=8, height=20, x1=0, x2=.0625, y1=0, y2=.625 },
	{ file="Interface\\DialogFrame\\DialogAlertIcon", height=64, width=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\DialogFrame\\UI-DialogBox-Header", height=420, width=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\FriendsFrame\\WhoFrame-ColumnTabs", width=10, height=19, x1=.078125, x2=.90625, y1=0, y2=.59375 },
	{ file="Interface\\FriendsFrame\\WhoFrame-ColumnTabs", width=4, height=19, x1=.90625, x2=.96875, y1=0, y2=.59375 },
	{ file="Interface\\FriendsFrame\\WhoFrame-ColumnTabs", width=5, height=19, x1=0, x2=.078125, y1=0, y2=.59375 },
	{ file="Interface\\FriendsFrame\\WhoFrame-ColumnTabs", width=5, height=19, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\FullScreenTextures\\LowHealth", width=512, height=512, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\FullScreenTextures\\OutOfControl", width=512, height=512, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterCreate\\CharacterCreate-LabelFrame", height=128, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Background", height=218, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Banners", height=256, width=259, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes", width=32, height=32, x1=.25, x2=0, y1=.25, y2=.5 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes", width=32, height=32, x1=.25, x2=0, y1=.5, y2=.75 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes", width=32, height=32, x1=.25, x2=0, y1=0, y2=.25 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes", width=32, height=32, x1=.5, x2=.25, y1=.25, y2=.5 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes", width=32, height=32, x1=.5, x2=.25, y1=0, y2=.25 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes", width=32, height=32, x1=.75, x2=.5, y1=.25, y2=.5 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes", width=32, height=32, x1=.75, x2=.5, y1=0, y2=.25 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes", width=32, height=32, x1=1, x2=.75, y1=.25, y2=.5 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes", width=32, height=32, x1=1, x2=.75, y1=0, y2=.25 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Factions", height=48, width=48, x1=.5, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Factions", height=48, width=48, x1=0, x2=.5, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-IconShadow", height=64, width=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-OuterBorder", height=224, width=210, x1=0, x2=.875, y1=.1796875, y2=1 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-OuterBorder", height=224, width=236, x1=0, x2=.875, y1=0, y2=.9375 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=.25, x2=.5, y1=.25, y2=.5 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=.25, x2=.5, y1=.5, y2=.75 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=.25, x2=.5, y1=.75, y2=1.0 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=.25, x2=.5, y1=0, y2=.25 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=.5, x2=.75, y1=.25, y2=.5 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=.5, x2=.75, y1=.5, y2=.75 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=.5, x2=.75, y1=.75, y2=1.0 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=.5, x2=.75, y1=0, y2=.25 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=.75, x2=1.0, y1=.25, y2=.5 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=.75, x2=1.0, y1=.5, y2=.75 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=.75, x2=1.0, y1=.75, y2=1.0 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=.75, x2=1.0, y1=0, y2=.25 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=0, x2=.25, y1=.25, y2=.5 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=0, x2=.25, y1=.5, y2=.75 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=0, x2=.25, y1=.75, y2=1.0 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races", height=30, width=30, x1=0, x2=.25, y1=0, y2=.25 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-ScrollBar-Top", height=32, width=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-RotationRight-Big-Down", height=50, width=50, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-RotationRight-Big-Down", height=50, width=50, x1=1, x2=0, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-RotationRight-Big-Up", height=50, width=50, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterCreate\\UI-RotationRight-Big-Up", height=50, width=50, x1=1, x2=0, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterSelect\\Glue-CharacterSelect-Highlight", height=256, width=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterSelect\\Glues-InfoPanel-BotLeft", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterSelect\\Glues-InfoPanel-BotRight", height=256, width=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterSelect\\Glues-InfoPanel-TopLeft", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\CharacterSelect\\Glues-InfoPanel-TopRight", height=256, width=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Common\\Glue-Panel-Button-Disabled", height=30, width=30, x1=0, x2=.578125, y1=0, y2=.75 },
	{ file="Interface\\Glues\\Common\\Glue-Panel-Button-Down", height=30, width=30, x1=0, x2=.578125, y1=0, y2=.75 },
	{ file="Interface\\Glues\\Common\\Glue-Panel-Button-Highlight", height=30, width=30, x1=0, x2=.625, y1=0, y2=.6875 },
	{ file="Interface\\Glues\\Common\\Glue-Panel-Button-Up", height=30, width=30, x1=0, x2=.578125, y1=0, y2=.75 },
	{ file="Interface\\Glues\\Common\\Glues-Logo-Left", height=120, width=120, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Common\\Glues-Logo-Right", height=120, width=120, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Common\\Glues-WoW-Logo", height=256, width=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Credits\\Border1", height=1408, width=64, x1=0, x2=11, y1=0, y2=1 },
	{ file="Interface\\Glues\\Credits\\Parchment1", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Credits\\Parchment2", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Credits\\Parchment3", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Credits\\Parchment4", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Credits\\Parchment5", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Credits\\Parchment6", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Credits\\Parchment7", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Credits\\Parchment8", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Login\\Glues-ESRBRating", height=64, width=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Login\\Glues-TOS-TopRight", height=128, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Glues\\Mainmenu\\Glues-BlizzardLogo", height=100, width=100, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\GroupFrame\\UI-Group-LeaderIcon", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\GroupFrame\\UI-Group-MasterLooter", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\HelpFrame\\HelpFrame-BotLeft", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\HelpFrame\\HelpFrame-BotRight", height=256, width=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\HelpFrame\\HelpFrame-Bottom", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\HelpFrame\\HelpFrameButton-Highlight", width=100, height=32, x1=0, x2=1, y1=0, y2=.578125 },
	{ file="Interface\\HelpFrame\\HelpFrame-Top", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\HelpFrame\\HelpFrame-TopLeft", height=256, width=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\HelpFrame\\HelpFrame-TopRight", height=256, width=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\ItemTextFrame\\UI-ItemText-TopLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\ItemTextFrame\\UI-ItemText-BotLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenuBar-Dwarf", height=53, width=256, x1=0, x2=1, y1=.79296875, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenuBar-Dwarf", height=53, width=256, x1=0, x2=1, y1=1, y2=.79296875 },
	{ file="Interface\\MainMenuBar\\UI-MainMenuBar-Dwarf", height=53, width=256, x1=1, x2=0, y1=.79296875, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenuBar-Dwarf", height=53, width=256, x1=1, x2=0, y1=1, y2=.79296875 },
	{ file="Interface\\MainMenuBar\\UI-MainMenuBar-EndCap-Dwarf", height=128, width=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenuBar-EndCap-Dwarf", height=128, width=128, x1=1, x2=0, y1=0, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenuBar-PerformanceBar", height=66, width=20, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenu-ScrollDownButton-Disabled", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenu-ScrollDownButton-Down", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenu-ScrollDownButton-Highlight", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenu-ScrollDownButton-Up", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenu-ScrollUpButton-Disabled", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenu-ScrollUpButton-Down", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenu-ScrollUpButton-Highlight", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MainMenuBar\\UI-MainMenu-ScrollUpButton-Up", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MerchantFrame\\UI-BuyBack-BotLeft", width=256, height=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MerchantFrame\\UI-BuyBack-BotRight", width=64, height=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MerchantFrame\\UI-BuyBack-TopLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MerchantFrame\\UI-BuyBack-TopRight", width=64, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MerchantFrame\\UI-Merchant-BotLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MerchantFrame\\UI-Merchant-BotRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MerchantFrame\\UI-Merchant-BottomBorder", width=256, height=61, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MerchantFrame\\UI-Merchant-LabelSlots", width=128, height=78, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MerchantFrame\\UI-Merchant-RepairIcons", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MerchantFrame\\UI-Merchant-TopLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MerchantFrame\\UI-Merchant-TopRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Minimap\\MiniMap-TrackingBorder", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Minimap\\POIIcons", width=128, height=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Minimap\\UI-Minimap-Border", width=192, height=192, x1=.25, x2=1, y1=.125, y2=.875 },
	{ file="Interface\\Minimap\\UI-Minimap-Border", width=192, height=32, x1=.25, x2=1, y1=0, y2=.125 },
	{ file="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", width=33, height=33, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Minimap\\UI-Minimap-ZoomInButton-Disabled", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Minimap\\UI-Minimap-ZoomInButton-Down", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Minimap\\UI-Minimap-ZoomInButton-Up", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Minimap\\UI-Minimap-ZoomOutButton-Disabled", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Minimap\\UI-Minimap-ZoomOutButton-Down", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Minimap\\UI-Minimap-ZoomOutButton-Up", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MoneyFrame\\UI-MoneyFrame", width=256, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\MoneyFrame\\UI-MoneyIcons", width=76, height=19, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\OptionsFrame\\21stepgrayscale", width=256, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\SkillFrame-BotLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\SkillFrame-BotRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-ActiveTab", width=20, height=32, x1=.15625, x2=.84375, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-ActiveTab", width=20, height=32, x1=.84375, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-ActiveTab", width=20, height=32, x1=0, x2=.15625, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-CharacterTab-BottomLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-CharacterTab-BottomRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-CharacterTab-L1", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-CharacterTab-R1", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-General-TopLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-General-TopRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-InActiveTab", width=20, height=32, x1=.15625, x2=.84375, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-InActiveTab", width=20, height=32, x1=.84375, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-InActiveTab", width=20, height=32, x1=0, x2=.15625, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-ReputationBar", width=256, height=22, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-ResistanceIcons", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-ScrollBar", height=31, width=106, x1=.515625, x2=1, y1=0, y2=.4140625 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-ScrollBar", height=31, width=256, x1=0, x2=.484375, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-ScrollBar", height=31, width=60, x1=0, x2=.484375, y1=.75, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-ScrollBar", width=31, height=106, x1=.515625, x2=1, y1=0, y2=.4140625 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-ScrollBar", width=31, height=256, x1=0, x2=.484375, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-ScrollBar", width=31, height=60, x1=0, x2=.484375, y1=.75, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-Skills-BarBorder", width=220, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-StatBackground", width=256, height=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperDollInfoFrame\\UI-Character-Tab-Highlight", width=95, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PaperdollInfoFrame\\UI-Character-AmmoSlot", width=41, height=41, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PetPaperDollFrame\\UI-PetPaperDollFrame-BotLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PetPaperDollFrame\\UI-PetPaperDollFrame-BotRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PetActionBar\\UI-PetBar", width=256, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PetitionFrame\\GuildCharter-Icon", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	
	{ file="Interface\\PetPaperDollFrame\\UI-PetHappiness", width=32, height=32, x1=.1875, x2=0.375, y1=0, y2=0.359375 },
	{ file="Interface\\PetPaperDollFrame\\UI-PetHappiness", width=32, height=32, x1=0, x2=0.1875, y1=0, y2=0.359375 },
	{ file="Interface\\PetPaperDollFrame\\UI-PetHappiness", width=32, height=32, x1=0.375, x2=0.5625, y1=0, y2=0.359375 },
	{ file="Interface\\PetStableFrame\\UI-PetStable-BottomLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PetStableFrame\\UI-PetStable-BottomRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PetStableFrame\\UI-PetStable-TopLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PetStableFrame\\UI-PetStable-TopRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PvPRankBadges\\PvPRank01", height=30, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PvPRankBadges\\PvPRank02", height=30, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PvPRankBadges\\PvPRank03", height=30, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PvPRankBadges\\PvPRank04", height=30, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PvPRankBadges\\PvPRank05", height=30, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PvPRankBadges\\PvPRank06", height=30, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PvPRankBadges\\PvPRank07", height=30, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PvPRankBadges\\PvPRank08", height=30, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PvPRankBadges\\PvPRank09", height=30, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\PvPRankBadges\\PvPRank10", height=30, width=30, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-HorizontalBreak", width=256, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-Quest-BotLeftPatch", width=128, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-Quest-BulletPoint", width=16, height=16, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestGreeting-BotLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestGreeting-BotRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestGreeting-TopLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestGreeting-TopRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestItemHighlight", width=256, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestItemNameFrame", width=128, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLog-BookIcon", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLog-BotLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLog-BotRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLog-Empty-BotLeft", width=256, height=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLog-Empty-BotRight", width=64, height=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLog-Empty-TopLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLog-Empty-TopRight", width=64, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLog-TopLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLog-TopRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLogSortTab-Left", width=8, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLogSortTab-Middle", width=38, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLogSortTab-Right", width=8, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestLogTitleHighlight", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\QuestFrame\\UI-QuestTitleHighlight", width=256, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\SpellBook\\SpellBook-SkillLineTab", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Spellbook\\Spellbook-Icon", width=58, height=58, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Spellbook\\UI-Spellbook-SpellBackground", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Spellbook\\UI-SpellbookPanel-BotLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Spellbook\\UI-SpellbookPanel-BotRight", width=128	, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Spellbook\\UI-SpellbookPanel-TopLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\Spellbook\\UI-SpellbookPanel-TopRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TabardFrame\\TabardFrameBackground", width=316, height=325, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TabardFrame\\TabardFrameCustomizationFrame", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TabardFrame\\TabardFrameOuterFrame", width=128, height=128, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TargetingFrame\\UI-PartyFrame", width=64, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TargetingFrame\\UI-Player-AttackStatus", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TargetingFrame\\UI-PVP-Alliance", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TargetingFrame\\UI-PVP-FFA", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TargetingFrame\\UI-PVP-Horde", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TargetingFrame\\UI-SmallTargetingFrame", width=128, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TargetingFrame\\UI-StatusBar", width=195, height=13, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TargetingFrame\\UI-TargetingFrame-Skull", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TaxiFrame\\UI-TaxiFrame-BotLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TaxiFrame\\UI-TaxiFrame-BotRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TaxiFrame\\UI-TaxiFrame-TopLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TaxiFrame\\UI-TaxiFrame-TopRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TradeFrame\\UI-TradeFrame-BotLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TradeFrame\\UI-TradeFrame-BotRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TradeFrame\\UI-TradeFrame-EnchantIcon", width=62, height=62, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TradeFrame\\UI-TradeFrame-Highlight", width=161, height=16, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TradeFrame\\UI-TradeFrame-TopLeft", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\TradeFrame\\UI-TradeFrame-TopRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\UI-WorldMap-Bottom1", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\UI-WorldMap-Bottom2", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\UI-WorldMap-Bottom3", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\UI-WorldMap-Bottom4", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\UI-WorldMap-Middle1", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\UI-WorldMap-Middle2", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\UI-WorldMap-Middle3", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\UI-WorldMap-Middle4", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\UI-WorldMap-Top1", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\UI-WorldMap-Top2", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\UI-WorldMap-Top3", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\UI-WorldMap-Top4", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\WorldMap-MagnifyingGlass", width=32, height=32, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldMap\\WorldMapPartyIcon", width=64, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldStateFrame\\WorldStateFinalScore-Highlight", width=256, height=16, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldStateFrame\\WorldStateFinalScoreFrame-Bot", width=16, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldStateFrame\\WorldStateFinalScoreFrame-BotLeft", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldStateFrame\\WorldStateFinalScoreFrame-BotRight", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldStateFrame\\WorldStateFinalScoreFrame-Top", width=16, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldStateFrame\\WorldStateFinalScoreFrame-TopBackground", width=16, height=64, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldStateFrame\\WorldStateFinalScoreFrame-TopLeft", width=128, height=256, x1=0, x2=1, y1=0, y2=1 },
	{ file="Interface\\WorldStateFrame\\WorldStateFinalScoreFrame-TopRight", width=256, height=256, x1=0, x2=1, y1=0, y2=1 },
}

--DART_MACRO_TEXTURES = GetMacroIcons() -- return a table where if type(table[index]) == "number" SetTexture(table[index]) else SetTexture("INTERFACE\\ICONS\\"..table[index])
DART_MACRO_TEXTURES = {}
local Textures = {}
GetLooseMacroIcons(Textures)
GetLooseMacroItemIcons(Textures)
GetMacroIcons(Textures)
GetMacroItemIcons(Textures)
for k, v in pairs(Textures) do
	tinsert(DART_MACRO_TEXTURES, { file=v, width=64, height=64, x1=0, x2=1, y1=0, y2=1 })
end
Textures = nil
--local m = GetMacroItemIcons(nil)
--for i=1, #DART_MACRO_TEXTURES do
	--local _, texture, _ = GetMacroInfo(i)
--	DART_MACRO_TEXTURES[i] = { file="INTERFACE\\ICONS\\"..m[i], width=32, height=32, x1=0, x2=1, y1=0, y2=1 };
--	DART_MACRO_TEXTURES[i] = { file="INTERFACE\\ICONS\\"..m[i], width=64, height=64, x1=0, x2=1, y1=0, y2=1 };
--end

--for i=1, GetNumMacroIcons() do
--	DART_MACRO_TEXTURES[i] = { file=GetMacroIconInfo(i), width=32, height=32, x1=0, x2=1, y1=0, y2=1 }
--end

DART_TEXTURES = DART_DEFAULT_TEXTURES;